Bug 490082 - X uses wrong resolution when started with monitor off
X uses wrong resolution when started with monitor off
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_946GZ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 01:19 EDT by Arthur Pemberton
Modified: 2010-04-27 17:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 16:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with the monitor turned off (30.86 KB, text/plain)
2009-04-07 21:04 EDT, Gustavo Maciel Dias Vieira
no flags Details
Xorg log with the monitor turned off (17.59 KB, text/plain)
2009-04-07 21:04 EDT, Gustavo Maciel Dias Vieira
no flags Details
xorg.conf used (680 bytes, text/plain)
2009-04-07 21:05 EDT, Gustavo Maciel Dias Vieira
no flags Details

  None (edit)
Description Arthur Pemberton 2009-03-13 01:19:10 EDT
Description of problem:
X doesn't remember the appropriate resolution settings, and does not know what to do when started without a monitor, so default to an "ugly" resolution.

Version-Release number of selected component (if applicable):
All version since F7, including those available in Centos 5.x

How reproducible:
Every time

Steps to Reproduce:
1. Turn on computer
2. Boot in to Fedora or Centos
3. Ensure monitor is off before X starts
  
Actual results:
X chooses some horrible resolution.

Expected results:
X uses last working resolution

Additional info:
1. Neither of the major desktop OSes seem to have this problem
2. There is no obvious solution (obvious meaning can't solve without understanding  the problem)
3. This is happening on every install of Fedora or Centos where a monitor may be off, including KVM setups
4. I can't imaging how this looks/seems to new users, I can't imagine that it is good
5. Even for people like myself who know to Ctrl+Alt+Backspace it is very annoying to always have to remember to put on my monitor, or have to restart X
6. I have set the severity to medium, but I've been enduring this since F7 hoping that it will be fixed eventually, but it hasn't
Comment 1 Eli Wapniarski 2009-03-13 01:53:04 EDT
While we're at it, and least with the nv and nouveau driver, utilizing a Geforce 2 card, X doesn't come up at all on my TV ONLY configuration whether the TV is on or off. I'm using an old computer as a multimedia machine working with MythTV.

The commerical driver works brilliantly with this.

I second this. This really needs to be worked on.
Comment 2 Arthur Pemberton 2009-03-13 02:09:20 EDT
Not to take away from what Eli is saying, the problem I'm taking about seems to affect all drivers, all cards, all systems, providing that the monitor can be turned off. And by all, I mean all systems that I have seen Fedora or Centos on.
Comment 3 Kostas Georgiou 2009-03-27 18:25:08 EDT
The issue here is that the X server when there is no monitor information in xorg.conf uses DDC to get the supported modes from the connected monitor and uses that. Since the monitor is off DDC fails and X uses a safe resolution (640x480?).

Beyond creating an xorg.conf with the right info there isn't much you can do outside the X server. No idea how hard it will be to hack the server to cache the DDC info and use that as a fallback though.
Comment 4 Arthur Pemberton 2009-03-30 16:59:16 EDT
I have fresh installed F10 on my desktop. I have xorg.conf now with a specific resolution. Now, if the computer starts with the monitor off, the resolution looks the same, but the fonts are somehow significantly smaller.

Note, simply having an xorg.conf with recommended resolutions is not enough to get even this behavior.
Comment 5 Kostas Georgiou 2009-03-30 18:18:47 EDT
Ah, you'll need DisplaySize w h as well to get the correct size of the monitor otherwise your dpi will be wrong.

It might be possible to use randr for all this now that I think about but I never tried it.
Comment 6 Arthur Pemberton 2009-03-30 18:22:08 EDT
I'll give that a try. If that works, it may be useful to have some tool somewhere which allows the user to save their display state: maintaining the current system, but allowing fairly easy riddance of this annoying problem.
Comment 7 Matěj Cepl 2009-04-02 05:44:05 EDT
OK, I am lost. Could somebody restate what is the issue of this bug?

@Eli please file a new bug with xorg.conf and /var/log/Xorg.0.log attached as uncompressed separate attachments to it. Thank you.
Comment 8 Eli Wapniarski 2009-04-02 06:06:14 EDT
OK... But this xorg.conf file would have my configuration for the NVidia commercial drivers. As I said, nouveau and nv drivers doesn't display anything at all on my TV out only configuration.

Is that OK?
Comment 9 David Timms 2009-04-03 20:18:39 EDT
(In reply to comment #0)
Arthur, would this match what you are seeing ?

> 3. Ensure monitor is off before X starts
4. x starts, and goes to login screen
5. turn monitor on

> Actual results:
> X chooses some horrible resolution.
display is active using a resolution of w*h ?

> Expected results:
> X uses last working resolution
which is ?

> 3. This is happening on every install of Fedora or Centos where a monitor may
> be off, including KVM setups
What type of display does this occur with ?
What type of graphics adaptor ?
How many different machines ?
Still on F11 beta ? (i'm not saying anything will change there).
Does it depend on whether the VGA ? DVI ? connector is used, and or is plugged in during boot up ?

> 4. I can't imaging how this looks/seems to new users, I can't imagine that it
> is good
It would seem there is something interesting in your system combination that causes this issue, since I used F3-F10 on many different machines, and have not seen what you are seeing, including for a server where I only take down and plug in an LCD monitor when I can't get to it remotely, and other machines where I forgot to turn the display power on before booting up.
Comment 10 Arthur Pemberton 2009-04-04 03:20:39 EDT
> display is active using a resolution of w*h ?

Display is active using some w8h other than what I expect. Creating an xorg.conf with only the preferred resolution partially helps.

> What type of display does this occur with ?

VGA, PCI-E, Onboard

> What type of graphics adaptor ?

Nvidia, Nvidia, Intel

> How many different machines ?

Three so far, ranging from F7, 99, to F10, TO Centos 5.3

> Still on F11 beta ?

None of my machines are on F11 beta, though I can get my test box there if need be,

> Does it depend on whether the VGA ? DVI ? connector is used, and or is plugged
in during boot up ?

I've only tried VGA ports. The everything is plugged.

Common scenario is when I switch my desktop on it the morning but forget to turn on the monitor as well. Also happens when botting up with a KVMed machine and KVM switched away from machine.

> 
It would seem there is something interesting in your system combination that
causes this issue, since I used F3-F10 on many different machines, and have not
seen what you are seeing

Well this doesn't exactly only happen on my machines.

 1) Do you have an xorg.conf>
 2) On a fresh install, can you boot the machine with the monitor off and put the monitor on when the login screen is ready?
Comment 11 Gustavo Maciel Dias Vieira 2009-04-04 08:15:43 EDT
(In reply to comment #10)
> 
> Well this doesn't exactly only happen on my machines.

I can confirm that. 

My two machines at home have this problem. Also, about 12 distinct machines at a university lab also have this problem.

They all have in common the fact that the VGA port is used, the monitors are plugged in but turned off when the machine starts and all monitors are CRTs.
Comment 12 Matěj Cepl 2009-04-06 11:40:51 EDT
OK, guys, this doesn't make a sense ... please file a separate bug for each different graphics chip (lspci |grep VGA) and attach /var/log/dmesg, /var/log/Xorg.0.log, and /etc/X11/xorg.conf (if any used) to is as separate uncompressed attachments. We cannot deal with 12 unseparated machines in one bug, it would be too messy.
Comment 13 Gustavo Maciel Dias Vieira 2009-04-06 11:50:00 EDT
Would it be sufficient if I selected one machine and posted the required information to this bug?

If we manage to have the problem solved and it doesn't solve for the other configurations, I will open other bugs. Ok?
Comment 14 Arthur Pemberton 2009-04-06 13:33:59 EDT
I'll do so, but I am pretty sure this isn't purely a hardware problem which just coincidentally only affects machines I use.
Comment 15 Matěj Cepl 2009-04-07 12:15:51 EDT
(In reply to comment #14)
> I'll do so, but I am pretty sure this isn't purely a hardware problem which
> just coincidentally only affects machines I use.  

no, actually I would expect it to be a driver problem. Let's see what Xorg.0.log will tell us.
Comment 16 Gustavo Maciel Dias Vieira 2009-04-07 21:04:19 EDT
Created attachment 338638 [details]
dmesg with the monitor turned off
Comment 17 Gustavo Maciel Dias Vieira 2009-04-07 21:04:54 EDT
Created attachment 338639 [details]
Xorg log with the monitor turned off
Comment 18 Gustavo Maciel Dias Vieira 2009-04-07 21:05:34 EDT
Created attachment 338640 [details]
xorg.conf used
Comment 19 Gustavo Maciel Dias Vieira 2009-04-07 21:09:16 EDT
I've created attachments with the requested files. My video card is:

Intel Corporation 82946GZ/GL Integrated Graphics Controller (rev 02)

I use the "intel" driver. My monitor is Philips 107s. The resultion I use is 1152x864@75Hz. When the computer is turned on with the monitor off, the resolution selected by the driver is 1024x768@60Hz.

An interesting observation: if I turn on the machine with the monitor unplugged, the driver gives an error and the X server won't start. I can post the logs if required.
Comment 20 Arthur Pemberton 2009-05-23 19:56:31 EDT
By request of comment 12:
https://bugzilla.redhat.com/show_bug.cgi?id=502324
Comment 21 Arthur Pemberton 2009-05-23 20:02:35 EDT
By request of comment 12:
https://bugzilla.redhat.com/show_bug.cgi?id=502325
Comment 22 Arthur Pemberton 2009-05-23 20:02:58 EDT
Should I also post one using the nvidia driver?
Comment 23 Matěj Cepl 2009-05-25 14:41:34 EDT
(In reply to comment #22)
> Should I also post one using the nvidia driver?  

No, don't bother.
Comment 24 Bug Zapper 2009-06-09 08:13:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Matěj Cepl 2009-11-05 13:23:19 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 27 Arthur Pemberton 2009-11-07 00:23:22 EST
I have since changed all the hardware involved, VGA and display. So I can no longer provide useful information.
Comment 28 Gustavo Maciel Dias Vieira 2009-11-08 20:29:33 EST
The problem still persists with F11, fully up to date.
Comment 29 Bug Zapper 2010-04-27 09:11:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Adam Jackson 2010-04-27 16:33:35 EDT
If it works when the monitor is turned on, then it's really your monitor's fault for not providing EDID when powered off like the spec says to.
Comment 31 Arthur Pemberton 2010-04-27 17:02:10 EDT
(In reply to comment #30)
> If it works when the monitor is turned on, then it's really your monitor's
> fault for not providing EDID when powered off like the spec says to.    

You at least see how that this is a bug that will only ever be exposed in Fedora (and other Xorg distros) and has no possibility of ever getting fixed hardware side. There are still a lot of CRTs in the world so its your call as to if you think this is important or not -- I have since gotten rid of that monitor.

Note You need to log in before you can comment on or make changes to this bug.